ACCESS(3F)

NAME
access - determine accessibility of a file

SYNOPSIS
integer function access (name, mode)
character*(*) name, mode

DESCRIPTION
Access checks the given file, name, for accessibility with respect to the caller according to mode. Mode may include in any order and in any combination one or more of:

	   r	test for read permission
	   w	test for write permission
	   x	test for execute permission
	(blank)	test for existence

An error code is returned if either argument is illegal, or if the file cannot be accessed in all of the specified modes. 0 is returned if the specified access would be successful.

FILES
/usr/lib/libU77.a

SEE ALSO
access(2), perror(3F)

BUGS
Pathnames can be no longer than MAXPATHLEN as defined in <sys/param.h>.